Bug 172000 - kernel panic after executing yum -y update
kernel panic after executing yum -y update
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-28 18:01 EDT by Erik A. Espinoza
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-05 03:07:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Kernel Panic (6.54 KB, text/plain)
2005-10-28 18:01 EDT, Erik A. Espinoza
no flags Details
Call Trace (545 bytes, text/plain)
2005-11-01 19:33 EST, Erik A. Espinoza
no flags Details

  None (edit)
Description Erik A. Espinoza 2005-10-28 18:01:12 EDT
Description of problem:
I installed fc4 x86_64 on a brand new dual core dual cpu opteron system. Ran
"yum -y update" and witnessed the system crash

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4, yum-2.3.2-7, rpm-4.4.1-21

How reproducible:
every time

Steps to Reproduce:
1. Install fc4
2. run 'yum -y update'
3. kaboom!!!
Actual results:
kernel panic

Expected results:
system upgrade

Additional info:
System Specs:
2x Dual Core AMD Opteron 275 2.2GHz
Supermicro H8DAR-T with IPMI (AOC-1UIPMI-B)
4GB PC3200 Reg ECC
4x250GB Seagate SATA (ST3250823AS
3Ware 9000 Series SATA Raid Controller
Raid 5 across all disks
Comment 1 Erik A. Espinoza 2005-10-28 18:01:12 EDT
Created attachment 120526 [details]
Kernel Panic
Comment 2 Erik A. Espinoza 2005-10-31 19:10:39 EST
Built vanilla 2.6.14 using kernel-2.6.14-x86_64-smp.config of
kernel-2.6.13-1.1526_FC4.src.rpm. Machine is working fine. Looks like problem
has been fixed upstream.
Comment 3 Erik A. Espinoza 2005-11-01 19:32:18 EST
After stress testing the system with kernel 2.6.14, we have had no issues. This
vanilla was built using the smp config from kernel-2.6.13-1.1526_FC4.src.rpm on
x86_64 platform.

I tested kernel-smp-2.6.14-1.1633_FC4 from the testing branch and all looks
good. The system runs stable and under heavy load. However there is a call trace
that happens during shutdown when the system is unmounting nfs directories. This
only shows on the kernel-smp-2.6.14-1.1633_FC4 kernel, and not the vanilla.

Badness in interruptible_sleep_on_timeout at kernel/sched.c:3403 (Not tainted)

Call Trace:<ffffffff80341dc0>{interruptible_sleep_on_timeout+131}
       <ffffffff801106f7>{syscall_trace_leave+55} <ffffffff8010da80>{tracesys+113}
Comment 4 Erik A. Espinoza 2005-11-01 19:33:14 EST
Created attachment 120629 [details]
Call Trace

Looks funky in the posting. Attaching txt file to save formatting.

Note You need to log in before you can comment on or make changes to this bug.